Bug 98080 - (AIRO)Unable to set frequency with airo.o module
(AIRO)Unable to set frequency with airo.o module
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://groups.google.com/groups?hl=en...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-26 00:04 EDT by Vladimir Florinski
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of /proc/driver/aironet/eth1/Status (353 bytes, text/plain)
2003-06-26 00:09 EDT, Vladimir Florinski
no flags Details

  None (edit)
Description Vladimir Florinski 2003-06-26 00:04:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Using the Xircom wireless adapter (Cisco chipset), I am unable to set the
frequency, with "iwconfig freq <n>". The card is stuck in channel 1 (2.412GHz),
which my router does not suport.

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1. Configure the card (note: requires editing /etc/pcmcia/config - see below)
2. Do "service network restart"
3. Do "iwconfig wifi0 freq 5"
4. See the output of "iwlist freq"
    

Actual Results:  The command "iwlist freq" still shows operating freq. of
2.412GHz (i.e., channel 1)

Expected Results:  The above command should show the frequency I just set with
iwconfig.

Additional info:

To have the cardbus services recognize this card I had to add the folowing lines
to /etc/pcmcia/config

card "Xircom Wireless Ethernet Adapter"
  manfid 0x0105, 0x0007
  bind "airo_cs"
Comment 1 Vladimir Florinski 2003-06-26 00:09:06 EDT
Created attachment 92627 [details]
Output of /proc/driver/aironet/eth1/Status
Comment 2 Bugzilla owner 2004-09-30 11:41:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.